from django.contrib import admin
from django.urls import path, include
from rest_framework_simplejwt.views import (
    TokenObtainPairView,
    TokenRefreshView,
)

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/token/', TokenObtainPairView.as_view(), name='token_obtain_pair'),
    path('api/token/refresh/', TokenRefreshView.as_view(), name='token_refresh'),
    path('api/user/', include('apps.user.urls')),
    path('api/daren_detail/', include('apps.daren_detail.urls')),
    path('api/operation/', include('apps.expertproducts.urls')),
    path('api/discovery/', include('apps.discovery.urls')),
    path('api/template/', include('apps.template.urls')),
    path('api/', include('apps.brands.urls')),
]
